//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wPasswdTestView:
//   Executes a small command to check for password error

#ifndef p4wPasswdTestView_H
#define p4wPasswdTestView_H


#include "p4wView.h"

class p4wPasswdTestView : public p4wView {

public:

				p4wPasswdTestView(p4wRequest & Request);
	virtual			~p4wPasswdTestView();

	virtual void		Render();
	
	int			HadClientError() { return fHadClientError; };

	int			HadPasswordError() { return fHadPasswordError; };
	
	int			HadLoginError() { return fHadLoginError; };
	
	int			HadUnicodeError() { return fHadUnicodeError; };

	int			HadGroupError() { return fHadGroupError; };

	int			HadSSLError() { return fHadSSLError; };

	int			GotError() { return fHadAnyError; };

	int			GotMiscError()  { return fHadMiscError; };

	const StrPtr &GetErrorMsg() { return fErrorText; }

	int			fCheckClient;
	
private:
	int			fHadClientError;
	int			fHadGroupError;
	int			fHadPasswordError;
	int			fHadLoginError;
	int			fHadUnicodeError;
	int			fHadSSLError;
    int			fHadMiscError;
	int			fHadAnyError;
	StrBuf		fErrorText;
};

#endif // p4wPasswdTestView_H

